Too much Signed-off-by: Anirudh Oppiliappan <x@icyphox.sh>
Anirudh Oppiliappan x@icyphox.sh
Wed, 05 Feb 2020 15:40:40 +0530
9 files changed,
45 insertions(+),
12 deletions(-)
M
bash/.bashrc.d/04-exports.bash
→
bash/.bashrc.d/04-exports.bash
@@ -14,7 +14,7 @@ export PW_KEY=x@icyphox.sh
export _Z_CMD="j" export CFLAGS="-O3 -pipe -march=native" export CXXFLAGS="-O3 -pipe -march=native" -export MAKEFLAGS="-j8" +export MAKEFLAGS="-j4" # gpg-agent
M
bash/.bashrc.d/90-aliases.bash
→
bash/.bashrc.d/90-aliases.bash
@@ -1,6 +1,5 @@
alias gah='sudo $(fc -ln -1)' alias vime="vim ~/.vimrc" -alias socks="ssh -D 8008 emerald -fN" alias o="xdg-open" alias gc="git commit -v -s" alias gst="git status --short"@@ -9,6 +8,11 @@ alias gd="git diff --minimal"
alias gl="git log --oneline --decorate --graph" alias ls="ls --color" alias vim="vim" + +function socks { + pkill ssh + ssh -D 8008 emerald -fN +} function up { ~/bin/icyup.sh "$1"
M
bin/icyup.sh
→
bin/icyup.sh
@@ -2,13 +2,21 @@ #!/usr/bin/env bash
n=3; fn=$(tr -cd '[:alnum:]' < /dev/urandom | head -c$n) -if [ "$1" != "" ]; then +latest="$HOME/pics/scrots/latest.png" + +upload() { file=$1 ext="${file##*.}" fullname="$fn.$ext" scp -P 443 "$1" emerald:icywww/stuff/"$fullname" echo "https://x.icyphox.sh/$fullname" echo "https://x.icyphox.sh/$fullname" | xclip -selection clipboard +} + +if [ "$1" == "l" ]; then + upload "$latest" +elif [ "$1" != "l" ]; then + upload "$1" else echo "no path specified :v" fi
A
bin/record
@@ -0,0 +1,18 @@
+#!/bin/bash +slop=$(slop -f "%x %y %w %h %g %i") || exit 1 +read -r X Y W H G ID < <(echo $slop) +ffmpeg \ + -f x11grab \ + -s "$W"x"$H" \ + -i :0.0+$X,$Y \ + -framerate 60 \ + -vcodec libx264 \ + -threads 4 \ + -y \ + "$HOME"/tmp/x.mkv + +ffmpeg \ + -i "$HOME"/tmp/x.mkv \ + -pix_fmt yuv420p \ + -vf scale=-2:1080 \ + "/home/np/vids/rec/$1"
M
bin/scr
→
bin/scr
@@ -25,9 +25,7 @@ convert "$scr_path/$output.png" \( +clone -background transparent -shadow 60x40+0+15 \) \
+swap -background white -layers merge +repage "$scr_path/$output.png" ;; s) - g=$(slop --highlight --tolerance=0 --color=0.3,0.4,0.6,0.4) - sleep 1 - import -window root -crop "$g" +repage "$scr_path/$output.png" + import "$scr_path/$output.png" ;; * | ?) usage@@ -43,3 +41,4 @@ fi
xclip -selection clipboard -t image/png -i "$scr_path/$output.png" +cp "$scr_path/$output.png" "$scr_path/latest.png"
M
bin/wpa.sh
→
bin/wpa.sh
@@ -1,5 +1,5 @@
#!/usr/bin/env bash sudo wpa_supplicant -i wlp2s0 -B -c /etc/wpa_supplicant.conf -sudo wpa_cli -i wlp2s0 select_network 1 +sudo wpa_cli -i wlp2s0 select_network "$1" sudo dhcpcd wlp2s0
M
config/aerc/accounts.conf
→
config/aerc/accounts.conf
@@ -5,6 +5,6 @@ default = INBOX
from = Anirudh Oppiliappan <x@icyphox.sh> copy-to = Sent smtp-starttls = yes -source-cred-cmd = pw -s mail -outgoing-cred-cmd = pw -s mail +source-cred-cmd = pw -s default +outgoing-cred-cmd = pw -s default signature-file = ~/.config/aerc/signature
M
st/config.h
→
st/config.h
@@ -85,7 +85,7 @@
/* Terminal colors (16 first used in escape sequence) */ static const char *colorname[] = { /* Normal colors */ - "#121212", /* 0: Base 00 - Black */ + "#000000", /* 0: Base 00 - Black */ "#bf8b56", /* 1: Base 08 - Red */ "#56bf8b", /* 2: Base 0B - Green */ "#8bbf56", /* 3: Base 0A - Yellow */@@ -107,7 +107,7 @@
[255] = 0, [256] = "#cbd6e2", /* default fg: Base 05 */ - [257] = "#121212", /* default bg: Base 00 */ + [257] = "#000000", /* default bg: Base 00 */ }; // Foreground, background, cursor, and reversed cursor colors
M
weechat/weechat.conf
→
weechat/weechat.conf
@@ -383,7 +383,11 @@ [layout]
default.buffer = "core;weechat;1" default.buffer = "irc;server.freenode;1" default.buffer = "irc;server.rizon;2" -default.buffer = "irc;freenode.##security;3" +default.buffer = "irc;rizon.#crimson;3" +default.buffer = "irc;rizon.#rice;4" +default.buffer = "irc;rizon.#homescreen;5" +default.buffer = "irc;freenode.#kisslinux;6" +default.buffer = "irc;freenode.#lobsters;7" default.window = "1;0;0;0;irc;rizon.Carp" default.current = on